05Robot 3.0

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | List of all members
CameraCalibrationWindow Class Reference
Computer Vision Module

Camera calibration window. More...

`#include <CameraCalibrationWindow.h>`

Inheritance diagram for CameraCalibrationWindow:

## Public Slots
void | frameIn (int id, cv::Mat *frame)
| Update displayed picture. More...
Public Slots inherited from ProcessorWindow
virtual void | frameIn (int id, cv::Mat *frame)
| Update displayed picture. More...
void | Properties ()
| Opens properties dialog. More...
virtual void | contextMenuRequested (QPoint point)
| Opens context menu. More...
virtual void | contextMenuEvent (QContextMenuEvent *event)
| Triggers context menu event. More...

## Public Member Functions
| CameraCalibrationWindow (ProcessorThread *, QWidget *parent=0, Qt::WindowFlags flags=0)
| Default constructor, initializes camera calibration preview window. More...
| ~CameraCalibrationWindow ()
| Default destructor, cleans up. More...
void | updateLists (QList< CameraPreview * > cameraList, QList< ProcessorWindow * > processorList)
| Updates list of input cameras and processors. More...
Public Member Functions inherited from ProcessorWindow
| ProcessorWindow (ProcessorThread *, QWidget *parent=0, Qt::WindowFlags flags=0)
| Default constructor, initializes processor calibration window. More...
| ~ProcessorWindow ()
| Default destructor, cleans up. More...

## Additional Inherited Members
Signals inherited from ProcessorWindow
void | closing (ProcessorWindow *)
| Emitted on window close. More...
void | connectInputs (QList< CameraObject * >, QList< ProcessorObject * >)
| Updates connected devices list. More...
void | signalSpecial (QString)
| For communication between ProcessorObject and ProcessorWindow. More...
Public Attributes inherited from ProcessorWindow
ProcessorThread * | pt
| Pointer to corresponding ProcessorThread. More...
Protected Attributes inherited from ProcessorWindow
QPropertyEditorWidget * | prop

## Detailed Description

Camera calibration window.

Preview and interface for camera calibration processor, allows selection of cameras and manual acquisition of images for calibration. Saves calibration data to camera-specific file.

## Constructor & Destructor Documentation

CameraCalibrationWindow | ( | ProcessorThread * | ,
|  | QWidget * | parent = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  |

Default constructor, initializes camera calibration preview window.

Parameters

  pt | corresponding ProcessorThread
  parent | pointer to parent widget
  flags | window flags

~CameraCalibrationWindow | ( |  | ) |

Default destructor, cleans up.

## Member Function Documentation

void frameIn | ( | int | id,
|  | cv::Mat * | frame
| ) |  |
| slot

Update displayed picture.

Parameters

  id | Frame ID
  frame | Pointer to picture

void updateLists | ( | QList< CameraPreview * > | cameraList,
|  | QList< ProcessorWindow * > | processorList
| ) |  |
| virtual

Updates list of input cameras and processors.

Parameters

  cameraList | list of pointers to input CameraPreview objects
  processorList | list of pointers to input ProcessorWindow objects

Reimplemented from ProcessorWindow.

The documentation for this class was generated from the following file:

- processors/CameraCalibrationWindow.h